Subject: bug#6138: mv while maintaining relative symbolic links

From: Peng Yu <[email-masked]>
Date: Mon, 10 May 2010 08:13:30 -0500

On Mon, May 10, 2010 at 4:37 AM, Voelker, Bernhard
<[email-masked]> wrote:
> Peng Yu wrote:
>
>> I agree with you that this is may not be possible for whole file
>> system. But under the assumptions that symbolic links and their
>> targets are always in a number of directories (user configurable) on
>> the same file system, then it is doable. This is practically what I
>> need.
>
> you need a reference to the actual inode, don't you?
> So what a about using hardlinks?

Harlinks do not work across filesystems. I think that it is better
stick with symbolic links.

-- 
Regards,
Peng